$border-radius: 5px;

.o-card {
  display: flex;
  flex-direction: column;
  @apply rounded;

  @include breakpoint(md) {
    flex-direction: row;
  } 

  &__asset {
    flex: 1;
    order: 1;
    border-radius: $border-radius $border-radius 0 0;

    @include breakpoint(md) {
      order: initial;
      border-radius: 0 $border-radius $border-radius 0;
    }

    img {
      border-radius: $border-radius $border-radius 0 0;

      @include breakpoint(md) {
        border-radius: 0 $border-radius $border-radius 0;
      }
    }
    
    &:first-child {
      border-radius: $border-radius 0 0 $border-radius;

      img {
        border-radius: $border-radius $border-radius 0 0;

        @include breakpoint(md) {
          border-radius: $border-radius 0 0 $border-radius;
        }
      }
    }
  }

  &__body {
    flex: 1;
    order: 2;
    padding: 24px;
    border-radius: 0 0 $border-radius $border-radius;

    @include breakpoint(md) {
      order: unset;
      padding: 48px;
      border-radius: 0 $border-radius $border-radius 0;
    }

    &:first-child {
      @include breakpoint(md) {
        border-radius: $border-radius 0 0 $border-radius;
      }
    }
  }
}